Page MenuHomePhabricator

Add "mark as read" buttons for each day on the no-JS Special:Notifications page
Closed, ResolvedPublic

Description

From T129460#2110076:

The submitted patch adds the option to mark read by date/section only to the no-js version. A Javascript-specific version will be implemented later.

Event Timeline

Catrope created this task.May 2 2016, 9:57 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 2 2016, 9:57 PM

Change 276376 had a related patch set uploaded (by Catrope):
Add 'mark section as read' to Special:Notifications

https://gerrit.wikimedia.org/r/276376

Change 276376 merged by jenkins-bot:
Add 'mark section as read' to Special:Notifications

https://gerrit.wikimedia.org/r/276376

Etonkovidova added a subscriber: Etonkovidova.EditedMay 12 2016, 6:30 PM

Checked in betalabs - the functionality works fine.

Need @Pginer-WMF feedback on the following:

    • 'MARK AS READ' is all capitalized
  • the button pushes date labels up


Just a general screenshot:

I have a question about the Mark as Read function in general: @Pginer-WMF, should we make it so that the option doesn't appear unless there are >2 unread messages for the day? It's not necessary, but see the attached screenshot (which is for the JS version, BTW).

To add to the previous comment - do we really need to display Special:NotificationsMarkRead page after a user explicitly clicked on 'MARK AS READ' ?

@Mooeypoo, please see Elena's question:

do we really need to display Special:NotificationsMarkRead page after a user explicitly clicked on 'MARK AS READ' ?

She's asking, why the extra step? Is that a constraint of the no-JS environment?

Checked in betalabs - the functionality works fine.
Need @Pginer-WMF feedback on the following:

    • 'MARK AS READ' is all capitalized
  • the button pushes date labels up



Just a general screenshot:

I'd propose to adjust the following aspects:

  • Button text style. The text should be non-capitalised and the size closer to that of regular text. Currently it seems affected by the styling modifications of the heading which should not be the case.
  • Button text. The proposal was to have it as "Mark group as read", which connects it with the notifications it affects.
  • Button icon. An icon was proposed for the button ().
  • Immediate action. Once the user clicks the button, we should mark he affected notifications as read. Given we are defining the no-JS behaviour, a page reload seems ok, but we should not add additional steps for it if possible.

You can check the mockup below or the prototype as a reference:

I have a question about the Mark as Read function in general: @Pginer-WMF, should we make it so that the option doesn't appear unless there are >2 unread messages for the day? It's not necessary, but see the attached screenshot (which is for the JS version, BTW).

I'd like to see the effects of reducing the button prominence first. Having the button appear randomly could become more distracting than having a regular pattern. If it still feels too prominent after the changes we have several options to adjust.

Change 288940 had a related patch set uploaded (by Sbisson):
Adjust styling for "Mark group as read"

https://gerrit.wikimedia.org/r/288940

Change 288940 merged by jenkins-bot:
Adjust styling for "Mark group as read"

https://gerrit.wikimedia.org/r/288940

Etonkovidova added a comment.EditedMay 30 2016, 7:35 PM

Checked in betalabs - see the screenshots below. Looks like all @Pginer-WMF specs are all in place (minor issue T136571: ButtonGroupWidget with two adjacent disabled buttons should show a dividing line between the buttons. Functionality works correctly.

@Pginer-WMF - just to double-check with you: date format for the top date(s) is displayed with the weekday label (e.g. Tuesday) and the day/month/year in grey color.

It looks like you're testing with JavaScript enabled. This is a task about no-JS, so you need to retest with JS disabled.

You should wait until https://gerrit.wikimedia.org/r/#/c/291383/ is merged, since that changes how it works.

Checked in betalabs - in no-JS mode each day will have 'Mark as read' button.

jmatazzoni closed this task as Resolved.Jun 1 2016, 9:34 PM